Subject: Re: OID syntax (was: Incomplete Syntaxes Referenced by RFC 2252)

From: "Jim Sermersheim" <[email-masked]>
Date: Wed, 21 Feb 2001 15:34:42 -0700

>Yes.  But RFC 3061 (Informational) provides a more restrictive OID
>syntax which should be compatible with the LDAPbis numericoid ABNF.

Doh! Trust me to not actually *read* the RFC.

>>> "Kurt D. Zeilenga" <[email-masked]> 2/21/01 11:47:35 AM >>>
At 01:02 AM 2/21/01 -0700, Jim Sermersheim wrote:
>Section 4.2 in RFC 1778 gives a more detailed string encoding definition of OID than does Section 4.1, RFC 2252. Does oid in 2252 obsolete oid in 1778?

No.  But 1778 is applicable to LDAPv2 and not, in general, to LDAPv3.

>  If so, why was the possibility of "ds.4.10" removed? (just curious).

Ambiguity? Complexity?

>Related to this, RFC 3061 was recently published, and it references oid in RFC 1778, not RFC 2252.

Yes.  But RFC 3061 (Informational) provides a more restrictive OID
syntax which should be compatible with the LDAPbis numericoid ABNF.

Kurt